Requirements

RedisAI v1.2.7 requires:

  • Minimum Redis compatibility version (database): 6.0.0
  • Minimum Redis Enterprise Software version (cluster): 6.2.2

1.2.7 (June 2022)

This is a maintenance release for RedisAI 1.2.

Update urgency: MODERATE.

Headlines:

  • This release improves overall stability and provides fixes for issues found after the previous release.

Details:

  • Minor enhancements:

    • #918, #924 Add AI.CONFIG GET sub-command
    • #914, #915, #917 Backends update - TF 2.8, PyTorch 1.11, ONNXRuntime 1.11
    • #904 Enable saving model/script run statistics when run by a low-level API (by using RedisGears integration in particular) and retrieving the statistics with the AI.INFO command
    • #897 Restore support for MacOS build scripts
    • #893 Removed support for Linux Xenial
  • Bug fixes:

    • #923 Fix a synchronization issue, regarding updates to the number of background threads, that rarely caused a crash upon executing models in ONNX

1.2.5 (November 2021)

Headlines:

  • #832 Strings tensor support (TF and ONNXRUNTIME only).
  • #847, #806 Backends update - TF 2.6, PyTorch 1.9, ONNXRuntime 1.9
  • #827 ONNXRuntime memory is now managed by Redis (Cloud readiness)

Bug fixes:

  • #829 Remove deprecation warnings from deprecated commands on Redis logs.
  • #852 Fixed invalid deletion of outputs after execution error in TF